Package opennlp.tools.formats

# Class ConllXPOSSampleStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<String,opennlp.tools.postag.POSSample>
opennlp.tools.formats.ConllXPOSSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>`

@Internal public class ConllXPOSSampleStream extends opennlp.tools.util.FilterObjectStream<String,opennlp.tools.postag.POSSample>
Parses the data from the CONLL 06 shared task into POS Samples.

More information about the data format can be found here.

Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConllXPOSSampleStream(opennlp.tools.util.InputStreamFactory in, Charset charset)`
  Initializes a `ConllXPOSSampleStream`.
  `ConllXPOSSampleStream(opennlp.tools.util.ObjectStream<String> lineStream)`
  Initializes a `ConllXPOSSampleStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `opennlp.tools.postag.POSSample`
  `read()`

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConllXPOSSampleStream

    public ConllXPOSSampleStream(opennlp.tools.util.ObjectStream<String> lineStream)
    Initializes a `ConllXPOSSampleStream`.
    Parameters:
      `lineStream` - A `line stream` representing the input.

  - ### ConllXPOSSampleStream

    public ConllXPOSSampleStream(opennlp.tools.util.InputStreamFactory in, Charset charset) throws IOException
    Initializes a `ConllXPOSSampleStream`.
    Parameters:
      `in` - The `InputStreamFactory` to use.
      `charset` - The `Charset` to interpret characters with.
    Throws:
      `IOException` - Thrown if IO errors occurred during initialization.

- ## Method Details

  - ### read

    public opennlp.tools.postag.POSSample read() throws IOException
    Throws:
      `IOException`